<h1 style="text-align: justify; color: black">TOPSIS
</h1>TOPSIS is an acronym that stands for ‘Technique of Order Preference Similarity to the Ideal Solution’ and is a pretty straightforward MCDA method. As the name implies, the method is based on finding an ideal and an anti-ideal solution and comparing the distance of each one of the alternatives to those. It was presented in Hwang and Yoon (Multiple attribute decision making: methods and applications. Springer, Berlin, 1981) and Chen and Hwang (Fuzzy multiple attribute decision making methods. Springer, Berlin, 1992), and can be considered as one of the classical MCDA methods that has received a lot of attention from scholars and researchers.
<h2 style="text-align: justify; color: black">Dependencies
</h2>

```
• OS
• Pandas
```

<h2 style="text-align: justify; color: black">Installation
</h2>

```
pip install TOPSIS-Parth-101983047==0.0.4
```

<h2 style="text-align: justify; color: black">Usage
</h2>

```
perform_Topsis(source, weights, impacts, result)
```

<h2 style="text-align: justify; color: black">Parameters
</h2>

```
source : Input data file in .csv format
weights : List of weights for columns except first column
impacts : list of impacts for columns except first column
result : Output file name to store results in .csv format
```

<h2 style="text-align: justify; color: black">Constraints / Exceptions handled
</h2>

```
1. Correct number of parameters (source, weights, impacts, result)
2. Handling of “File not Found” exception
3. Input file must contain three or more columns.
4. From 2 nd to last columns must contain numeric values only (Handling of non-numeric values)
5. Number of weights, number of impacts and number of columns (from 2 nd to last columns) must
be same.
6. Impacts must be either +ve or -ve.
7. Impacts and weights must be separated by ‘,’ (comma).
8. Output "File already exists" condition
```

<h2 style="text-align: justify; color: black">Example
</h2>
<h5 style="text-align: justify; color: black">'data.csv' in the same folder ----></h5>
<br>

| Model | Corr | Rseq | RMSE | Accuracy |
| ----- | ---- | ---- | ---- | -------- |
| M1    | 0.79 | 0.62 | 1.25 | 60.89    |
| M2    | 0.66 | 0.44 | 2.89 | 63.07    |
| M3    | 0.56 | 0.31 | 1.57 | 62.87    |
| M4    | 0.82 | 0.67 | 2.68 | 70.19    |
| M5    | 0.75 | 0.56 | 1.3  | 80.93    |

<br>
```
>>>python
>>>from Topsis-Parth-101983047.Topsis import topsis
>>>topsis.perform_Topsis('data.csv', [1,2,1,2], [+,-,-,+], 'result.csv')

Generating output file ....
Output file generated.
